library("tidyverse")
library("plotly")


german_letters <- read_csv("data/journeys.csv")

letter_counts <- german_letters %>%
  count(start.country,
        end.country) %>%
  arrange(desc(n))

letter_counts %>%
  plot_ly() %>%
  add_trace(
    y = ~start.country,
    x = ~n,
    color = ~end.country
  )

library("highcharter")

letter_counts %>%
  hchart(
    type = "bar",
    hcaes(
      x = start.country,
      y = n,
      group = end.country
    )
  )
